
Katello - Bug #3677

Engine: System.class_name is undefined

11/18/2013 02:08 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In a recent PR, we were getting errors (undefined method class_name) on the System class:

https://github.com/daviddavis/katello/blob/3079b571042995a09f9571bfaf3ef2a7b78fda91/app/controllers/katello/api/v2/systems_cont

roller.rb#L101.

Here's the error:

http://m.davedroid.com/STbz

Thus we're skipping the test. We shouldn't have had to make this change. I think another System class or module is getting defined

somewhere else somehow and is overriding Katello's System class. I tried both Katello::System and just System. Both threw the

undefined method error.

Here's another backtrace: https://f.cloud.github.com/assets/86290/1545710/8fdafb74-4d7a-11e3-95ef-919fa06df4dd.png

History

#1 - 06/03/2014 05:59 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

The tasks method in the systems controller was recently removed and since the error here hasn't shown up and references that I am closing.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
